.HEADER Joint Specification Data                             Version 1.4

; Created by SPEC 16.4A9 on 21-Jul-06 00:06:22

; **********************************************************************
; SPEC data file for Adept Servo Kit s400 (p/n 04499-000)
; This kit includes a 400W motor (p/n 43405-00400)
; Version 2.1 B45 18-March-2014
; **********************************************************************

; Software:    16.4 87-3100 (Edit A7, 03-Jul-2006, Development Test)
; Controller:  3561-106 0
; Servo rate:  1000 Hz
; Processor 1: 0.25 6-1 32Mb
Joints: 1

.DATA_SECTION


; OPTION WORD AND MOTOR CONFIGURATION

.DATA  231  ;Robot/Joint mechanism ID
					 410

; ROBOT INITIALIZATION SPECIFICATIONS

.DATA 1243  ;Servo Option Word
					 0
.DATA   15  ;Modular joint type
					 "91005"

; AMPLIFIER AND ENCODER SPECIFICATIONS

.DATA 1013  ;*Duty cycle exceeded* filter pole
					 18
.DATA 1014  ;*Motor stalled* timeout (sec)
					 2
.DATA 1063  ;*Velocity envelope error* limit (ct/ms)
					 0
.DATA 1042  ;Default motion speed (cts/ms)
					 4
.DATA   61  ;Counts per joint travel (cts/deg or cts/mm)
					 11.37777996
.DATA   62  ;Joint travel per count (deg/cts or mm/cts)
					 0.08789061
.DATA 1017  ;Counts per zero index (zero = disable)
					 4096
.DATA 1016  ;Zero-index configuration
					 7
.DATA 1232  ;Encoder Filter configuration
					 19
.DATA 1015  ;Encoder sign (non-zero => flip sign)
					 0
.DATA 1009  ;Motor sign (non-zero => flip sign)
					 -1
.DATA 1221  ;Commutation sign (non-zero => flip sign)
					 0
.DATA 1010  ;Maximum DAC value
					 24908
.DATA 1059  ;Maximum DAC value in Manual mode
					 7525
.DATA 1012  ;*Duty cycle exceeded* DAC limit
					 8095
.DATA 1064  ;*Manual mode envelope error* limit (cts)
					 2048
.DATA 1018  ;*Soft envelope error* limit (cts)
					 6144
.DATA 1058  ;*Hard envelope error* limit (cts)
					 12288
.DATA 1029  ;*Skew error* limit (cts)
					 410
.DATA 1045  ;Counts per commutation cycle
					 1024
.DATA 1510  ;Maximum allowable index error
					 0
.DATA 1513  ;Maximum allowable consecutive index errors
					 0

; SERVO TUNING PARAMETERS

.DATA 1048  ;Proportional (DC) loop gain
					 5
.DATA 1001  ;Location of zero, Z-plane
					 0.92
.DATA 1002  ;Location of pole, Z-plane
					 0
.DATA 1003  ;Integrator gain
					 0.2
.DATA 1005  ;Max value for integrator state
					 10320
.DATA 1004  ;Max position error to integrate
					 20
.DATA 1006  ;Velocity feed-forward gain
					 5
.DATA 1060  ;Minimum acceleration feed-forward gain
					 0
.DATA 1007  ;Nominal acceleration feed-forward gain
					 200
.DATA 1062  ;Default acceleration feed-forward gain
					 200
.DATA 1061  ;Maximum acceleration feed-forward gain
					 10000
.DATA 1067  ;Static friction feedforward maximum trigger
					 0
.DATA 1066  ;Static friction feedforward minimum trigger
					 0
.DATA 1065  ;Static friction feedforward time constant
					 0
.DATA 1068  ;Static friction feedforward max positive value
					 0
.DATA 1069  ;Static friction feedforward max negative value
					 0
.DATA 1022  ;DAC output filter pole
					 0
.DATA 1028  ;Skew-error gain
					 10
.DATA 1030  ;Max. vel. f-f gain
					 100
.DATA 1070  ;2nd-Order Filter Pole Frequency
					 0
.DATA 1071  ;2nd-Order Filter Damping Ratio
					 0
.DATA 1237  ;Acceleration gain
					 0
.DATA 1233  ;Adaptive compensation type
					 1
.DATA 1744  ;Adaptative feedforward control option
					 0
.DATA 1747  ;Associated split motor number
					 0
.DATA 1749  ;Servo Velocity Filter Pole
					 100

;     CURRENT LOOP PARAMETERS

.DATA 1212  ;Torque to current scale factor
					 0.046875
.DATA 1214  ;Motor phase inductance
					 6.3E-06
.DATA 1215  ;Motor phase resistance
					 8.8E-04
.DATA 1217  ;Motor back-EMF
					 1.64E-03
.DATA 1218  ;VOO max speed
					 300
.DATA 1238  ;VOO phase angle
					 -128
.DATA 1220  ;Current loop Kback-emf phase advance
					 0.08
.DATA 1222  ;Voltage overhead optimization
					 1

; JOINT SPEED LIMIT PARAMETERS


; CALIBRATION PARAMETERS

.DATA 1023  ;Homing configuration
					 2
.DATA 1044  ;Saturation time during calibration (ms)
					 250
.DATA 1040  ;Speed and direction for search (cts/msec)
					 -3
.DATA 1041  ;Speed for fine searches (cts/msec)
					 1
.DATA 1034  ;Max distance to search (cts)
					 1E+06
.DATA 1036  ;Max width of home sensor (cts)
					 200
.DATA 1037  ;Distance from home sw to first zero index (cts)
					 0
.DATA 1035  ;Motor position at first index (cts)
					 1479
.DATA 1053  ;Calibration group
					 8
.DATA 1038  ;Park position after homing (cts)
					 0
.DATA 1200  ;Encoder type
					 10
.DATA 1512  ;Dynamic option
					 0

; JOINT MOTION PARAMETERS

.DATA  181  ;COARSE nulling tolerance (cts)
					 400
.DATA 1019  ;Time to be in tolerance (sec)
					 0.016
.DATA 1055  ;Tolerance checking filter pole
					 4
.DATA  202  ;READY location joint values (deg or mm)
					 0
.DATA  141  ;Min joint pendant increment (deg or mm)
					 1E-03
.DATA  142  ;Max joint pendant speed (deg/sec or mm/sec)
					 50
.DATA   22  ;Free mode signals
					 0
.DATA  180  ;FINE nulling tolerance (cts)
					 20

; LINK DIMENSIONS (mm)


; SOFTWARE JOINT LIMITS (deg or mm)

.DATA  120  ;Lower joint travel limit
					 -360
.DATA  121  ;Upper joint travel limit
					 360
.DATA  123  ;Max lower joint travel limit
					 -720
.DATA  124  ;Max upper joint travel limit
					 720

; CARTESIAN MOTION SPECIFICATIONS


; TRAJECTORY GENERATOR SPEED PARAMETERS

.DATA  163  ;Joint speed at SPEED 100 (deg/sec or mm/sec)
					 1200
.DATA  165  ;Joint accel at ACCEL 100 (deg/sec^2 or mm/sec^2)
					 16000

; BACKLASH AND LINEAR COMPENSATION


; COLLISION DETECTION/AVOIDANCE


; STOP-ON-FORCE SPECIFICATIONS


.END
