.HEADER Joint Specification Data                             Version 2.0

; Created by SPEC 16.4A9 on 24-Apr-06 17:18:29

; **********************************************************************
;* SPEC data file for Adept Servo Kit s100 (p/n 00391-001)
;* This kit includes a 100W Sigma-II motor (p/n XXXXX-00100)
;* Version 2.1 B45 18-March-2014
; **********************************************************************

; Software:    15.0 85-1100 (Edit D6, 14-Jan-2002)
; Controller:  3561-41 0
; Servo rate:  1000 Hz
; Processor 1: 0.25 6-1 32Mb
Joints: 1

.DATA_SECTION


; OPTION WORD AND MOTOR CONFIGURATION

.DATA  231  ;Robot/Joint mechanism ID
					 92001

; ROBOT INITIALIZATION SPECIFICATIONS

.DATA   15  ;Modular joint type
					 "00100"

; AMPLIFIER AND ENCODER SPECIFICATIONS

.DATA 1013  ;*Duty cycle exceeded* filter pole
					 15
.DATA 1014  ;*Motor stalled* timeout (sec)
					 1.0
.DATA 1063  ;*Velocity envelope error* limit (ct/ms)
					 0
.DATA 1042  ;Default motion speed (cts/ms)
					 64
.DATA   61  ;Counts per joint travel (cts/deg or cts/mm)
					 182.04444444
.DATA   62  ;Joint travel per count (deg/cts or mm/cts)
					 5.4931640625e-3
.DATA 1017  ;Counts per zero index (zero = disable)
					 65536
.DATA 1232  ;Encoder Filter configuration
					 0
.DATA 1015  ;Encoder sign (non-zero => flip sign)
					 -1
.DATA 1009  ;Motor sign (non-zero => flip sign)
					 -1
.DATA 1221  ;Commutation sign (non-zero => flip sign)
					 0
.DATA 1010  ;Maximum DAC value
					 20000
.DATA 1059  ;Maximum DAC value in Manual mode
					 10000
.DATA 1012  ;*Duty cycle exceeded* DAC limit
					 9779
.DATA 1064  ;*Manual mode envelope error* limit (cts)
					 32768
.DATA 1018  ;*Soft envelope error* limit (cts)
					 98304
.DATA 1058  ;*Hard envelope error* limit (cts)
					 196608
.DATA 1029  ;*Skew error* limit (cts)
					 410
.DATA 1045  ;Counts per commutation cycle
					 21845.3333333


; SERVO TUNING PARAMETERS

.DATA 1048  ;Proportional (DC) loop gain
					 0.2
.DATA 1001  ;Location of zero, Z-plane
					 0.92
.DATA 1002  ;Location of pole, Z-plane
					 0
.DATA 1003  ;Integrator gain
					 0.05
.DATA 1005  ;Max value for integrator state
					 9600
.DATA 1004  ;Max position error to integrate
					 1600
.DATA 1006  ;Velocity feed-forward gain
					 0.3
.DATA 1060  ;Minimum acceleration feed-forward gain
					 0
.DATA 1007  ;Nominal acceleration feed-forward gain
					 13
.DATA 1062  ;Default acceleration feed-forward gain
					 55
.DATA 1061  ;Maximum acceleration feed-forward gain
					 400
.DATA 1067  ;Static friction feedforward maximum trigger
					 0
.DATA 1066  ;Static friction feedforward minimum trigger
					 0
.DATA 1065  ;Static friction feedforward time constant
					 0
.DATA 1068  ;Static friction feedforward max positive value
					 0
.DATA 1069  ;Static friction feedforward max negative value
					 0
.DATA 1022  ;DAC output filter pole
					 0
.DATA 1028  ;Skew-error gain
					 2
.DATA 1030  ;Max. vel. f-f gain
					 200
.DATA 1070  ;2nd-Order Filter Pole Frequency
					 180
.DATA 1071  ;2nd-Order Filter Damping Ratio
					 0.4
.DATA 1233  ;Adaptive compensation type
					 2	
.DATA 1744  ;Adaptative feedforward control option
					 3
.DATA 1747  ;Associated split motor number
					 0

;     CURRENT LOOP PARAMETERS

.DATA 1212  ;Torque to current scale factor
					 0.046875
.DATA 1214  ;Motor phase inductance
					 1.91E-07
.DATA 1215  ;Motor phase resistance
					 0.00077
.DATA 1217  ;Motor back-EMF
					 1.0288e-4
.DATA 1218  ;VOO Max speed
					 4000
.DATA 1220  ;Current loop Kback-emf phase advance
					 5.04e-3
.DATA 1238  ;VOO phase angle
					 -157
.DATA 1222  ;Voltage overhead optimization
					 1

; JOINT SPEED LIMIT PARAMETERS


; CALIBRATION PARAMETERS

.DATA 1023  ;Homing configuration
					 2
.DATA 1044  ;Saturation time during calibration (ms)
					 1000
.DATA 1040  ;Speed and direction for search (cts/msec)
					 -50
.DATA 1041  ;Speed for fine searches (cts/msec)
					 25
.DATA 1034  ;Max distance to search (cts)
					 1.6E+07
.DATA 1036  ;Max width of home sensor (cts)
					 1000
.DATA 1037  ;Distance from home sw to first zero index (cts)
					 0
.DATA 1035  ;Motor position at first index (cts)
					 0
.DATA 1053  ;Calibration group
					 8
.DATA 1038  ;Park position after homing (cts)
					 0
.DATA 1200  ;Encoder type
					 11
.DATA 1512  ;Dynamic option
					 0

; JOINT MOTION PARAMETERS

.DATA  181  ;COARSE nulling tolerance (cts)
					 6400
.DATA 1019  ;Time to be in tolerance (sec)
					 0.016
.DATA 1055  ;Tolerance checking filter pole
					 4
.DATA  202  ;READY location joint values (deg or mm)
					 0
.DATA  141  ;Min joint pendant increment (deg or mm)
					 1E-03
.DATA  142  ;Max joint pendant speed (deg/sec or mm/sec)
					 50
.DATA   22  ;Free mode signals
					 0
.DATA  180  ;FINE nulling tolerance (cts)
					 320

; LINK DIMENSIONS (mm)


; SOFTWARE JOINT LIMITS (deg or mm)

.DATA  120  ;Lower joint travel limit
					 0
.DATA  121  ;Upper joint travel limit
					 360
.DATA  123  ;Max lower joint travel limit
					 -1
.DATA  124  ;Max upper joint travel limit
					 361

; CARTESIAN MOTION SPECIFICATIONS


; TRAJECTORY GENERATOR SPEED PARAMETERS

.DATA  163  ;Joint speed at SPEED 100 (deg/sec or mm/sec)
					 100
.DATA  165  ;Joint accel at ACCEL 100 (deg/sec^2 or mm/sec^2)
					 400

; BACKLASH AND LINEAR COMPENSATION


; COLLISION DETECTION/AVOIDANCE


; STOP-ON-FORCE SPECIFICATIONS


.END
